go-ring API Reference
OpenapiUnknown

Create a Firebase installation

Creates an installation identity used to authorize FCM registration.

POST
/v1/projects/ring-17770/installations

Header Parameters

Accept*string
Content-Type*string
X-Goog-Api-Key*string

Public API key configured by the pinned Ring Android client.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/projects/ring-17770/installations" \  -H "Accept: application/json" \  -H "Content-Type: application/json" \  -H "X-Goog-Api-Key: AIzaSyCv-hdFBmmdBBJadNy-TFwB-xN_H5m3Bk8" \  -H "Content-Type: application/json" \  -d '{    "appId": "1:876313859327:android:e10ec6ddb3c81f39",    "authVersion": "FIS_v2",    "fid": "cAAAAAAAAAAAAAAAAAAAAAA=",    "sdkVersion": "w:0.6.17"  }'
{  "name": "projects/ring-17770/installations/cAAAAAAAAAAAAAAAAAAAAAA=",  "fid": "cAAAAAAAAAAAAAAAAAAAAAA=",  "refreshToken": "synthetic-refresh-token",  "authToken": {    "token": "synthetic-installation-token",    "expiresIn": "3600s"  }}